Bug 134784

Summary: dhclient (DHCP Client V3.0.1rc14) does not accept offers on wlan0: DHCPDECLINE
Product: [Fedora] Fedora Reporter: morgan read <mstuff>
Component: dhcpAssignee: Jason Vas Dias <jvdias>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 2CC: chixson, mattdm
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-04-27 08:21:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description morgan read 2004-10-06 05:31:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
A DHCP (Dynamic Host Configuration Protocol) server and relay agent.

dhclient (DHCP Client V3.0.1rc14) does not accept offers on wlan0:
DHCPDECLINE (haven't tried it on anything else).  Found a few similar
issues with out resolution by serching google with "rc14 dhclient
fc2".  I resolved the issue by having a friend cope their dhclient
programme (DHCP Client 2.0pl5) from Debian over to my machine (only
the one programme file copied - no configs etc) and then it ran fine.

Following is the output of dhclient:

[root@morgansmachine root]# dhclient wlan0
Internet Systems Consortium DHCP Client V3.0.1rc14
Copyright 2004 Internet Systems Consortium.
All rights reserved.
For info, please visit http://www.isc.org/products/DHCP

wifi0: unknown hardware address type 801
sit0: unknown hardware address type 776
/sbin/dhclient-script: configuration for wlan0 not found.
wifi0: unknown hardware address type 801
sit0: unknown hardware address type 776
Listening on LPF/wlan0/00:30:84:1f:ae:f7
Sending on   LPF/wlan0/00:30:84:1f:ae:f7
Sending on   Socket/fallback
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 7
DHCPOFFER from 130.216.93.253
DHCPREQUEST on wlan0 to 255.255.255.255 port 67
DHCPACK from 130.216.93.253
/sbin/dhclient-script: configuration for wlan0 not found.
dhclient.c(2046): null pointer
DHCPDECLINE on wlan0 to 255.255.255.255 port 67
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 4
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 4
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 5
DHCPOFFER from 130.216.93.253
DHCPREQUEST on wlan0 to 255.255.255.255 port 67
DHCPACK from 130.216.93.253
/sbin/dhclient-script: configuration for wlan0 not found.
dhclient.c(2046): null pointer

<snip>

dhclient.c(2046): null pointer
DHCPDECLINE on wlan0 to 255.255.255.255 port 67
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 4
DHCPOFFER from 130.216.93.253
DHCPREQUEST on wlan0 to 255.255.255.255 port 67
DHCPACK from 130.216.93.253
/sbin/dhclient-script: configuration for wlan0 not found.
dhclient.c(2046): null pointer
DHCPDECLINE on wlan0 to 255.255.255.255 port 67
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 8
DHCPOFFER from 130.216.93.253
DHCPREQUEST on wlan0 to 255.255.255.255 port 67
DHCPACK from 130.216.93.253
/sbin/dhclient-script: configuration for wlan0 not found.
dhclient.c(2046): null pointer
DHCPDECLINE on wlan0 to 255.255.255.255 port 67
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 4
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 9
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 11
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 11
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 13
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 13
No DHCPOFFERS received.
No working leases in persistent database - sleeping.
/sbin/dhclient-script: configuration for wlan0 not found.
[root@morgansmachine root]#

Version-Release number of selected component (if applicable):
dhclient-3.0.1rc14-1

How reproducible:
Always

Steps to Reproduce:
1.# ifconfig wlan0 up -> iwconfig wlan0 mode managed -> iwconfig wlan0
enc abcdef0123456789abcdef0123 open -> iwconfig wlan0 essid uoa
2.# wpa_supplicant -iwlan0 -c/etc/wpa_supplicant.conf -d
3.# dhclient wlan0
    

Actual Results:  See description

Expected Results:  IP addy

Additional info:  See description
Comment 1 Jason Vas Dias 2004-10-06 13:32:43 EDT
It would seem that you are missing an 
/etc/sysconfig/network-scripts/ifcfg-wlan0 
file, which the /sbin/dhclient-script expects
in order to function:
'
/sbin/dhclient-script: configuration for wlan0 not found.
'
If the dhclient-script returns an error (which it does in this case)
dhclient will decline the lease.
Debian's dhclient does not use the ifcfg-* files, so would work OK
in this case.

Please try the latest version of dhcp (3.0.1-10), which I am in the
process of getting pushed to FC2 updates, but which meanwhile can be
downloaded from:
 http://people.redhat.com/~jvdias/DHCP/FC2

Try installing the new dhcp-3.0.1-10, creating an
/etc/sysconfig/network-scripts/ifcfg-wlan0 file,
and let me know if it then works - it should do.
Thanks! 
Comment 2 morgan read 2004-10-11 19:38:55 EDT
Yes - it works, but...
I had a lot of trouble getting it to work with anything but an "empty"
file made with "# touch /etc/sysconfig/network-scripts/ifcfg-wlan0".

I had planed to detail a whole lot of issues I had yesterday, but
today it seems to work fine!  And with the "ifcfg-wlan0" as configured
by system-config-network rather via the terminal.  Very nice.

The only issue (bug) now is getting it to work with a "nickname" (as
defined by the first panel of the device configuration).  If I change
this to anything useful like "UoAWirless" from wlan0 then this renames
the file "ifcfg-wlan0" and dhclient doesn't find a config and falls
back to a default - why it didn't do this when there was no
"ifcfg-wlan0" before remains a mystery?  There are a few errors
reported on loading, but I can't catch them - where are they logged?

The reason I'd stopped using system-config-network was that it seemed
very buggy with wifi & in particular the hostap driver.  I had to add
"alias wlan0 hoatap_cs" to modprobe.conf before it would see the
driver & then seemed to hang a lot when using the wireless settings
(particularly changing "mode" to "managed" from "master").  I've
recently commented out that line (having now created the profile in
system-config-network) may be that's why it's behaving better?

Also, more a feature request - at the moment I have wpa_supplicant
booting as defined in modeprobe.conf when hostap_cs is loaded.  If
there were a facility from with in system-config-network to run a
programme (wpa_supplicant/xsupplicant, other?) prior to bringing a
network device up it would be much neater (defining in terms of
network rather than hardware)?

Morgan.
Comment 3 Florian La Roche 2004-10-18 06:27:20 EDT
Can you please test if Fedora Core 3 test releases have this fixed?
We've updated dhcp client and the current version have many bugs
fixed.

Thanks,

Florian La Roche
Comment 4 morgan read 2004-10-24 04:55:34 EDT
Thanks for your help, but I'm afraid I'm not going to be able to
follow this up for some time - at least a month.
Regards,
Morgan.
Comment 5 Adam Hixson 2004-11-23 01:06:30 EST
Ok.  I just found this bug, and it seems to match my sitch a bit. 
Perhaps you can help.

I'm in fedora core 3.  I have a broadcom 200, using the ipw2200 driver.
I also have a wired nic, and it works fine.  The deal is this:
dhclient cannot get a lease via the wireless card.  If I set the ip,
it works fine.  If I use dhcp, nothing.  I ran dhclient manually, and
I get the same result reported above (minus the missing script
warning.  I have a ifcfg-eth1 script).

Any clues?
Comment 6 morgan read 2004-11-24 04:57:02 EST
Adam,
Following the steps above fixed my bug, the other (cosmetic) issues
that I mention (additional comment #2) I assume may have been
addressed in  fc3 as it seems there's been some attention given in
this area? - i'm still on fc2.  I don't suppose this can be much help
- sorry.
Morgan.
PS
You say "...I have a ifcfg-eth1 script"
From my experience you will need a:
/etc/sysconfig/network-scripts/ifcfg-wlan0
Comment 7 Matthew Miller 2005-04-26 11:22:41 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 8 morgan read 2005-04-27 04:47:09 EDT
As above, this has been fixed - appart from the cosmetics which if you're
interested in you can roll-over to fc3 & change status to enhancement - I've
since upgraded to fc3